aboutsummaryrefslogtreecommitdiff
path: root/extras
diff options
context:
space:
mode:
Diffstat (limited to 'extras')
-rw-r--r--extras/HOME/.config/rofi/config.rasi11
-rwxr-xr-xextras/HOME/.local/bin/bluetooth-select.sh6
-rwxr-xr-xextras/HOME/.local/bin/emoji-select.sh6
-rwxr-xr-xextras/HOME/.local/bin/emoticon-select.sh6
-rwxr-xr-xextras/HOME/.local/bin/library-view.sh28
-rwxr-xr-xextras/HOME/.local/bin/rofi-pass6
-rwxr-xr-xextras/HOME/.local/bin/set-sink.sh6
-rwxr-xr-xextras/HOME/.local/bin/set-volume.sh95
-rw-r--r--extras/HOME/.xmonad/emoticons.txt16
-rw-r--r--extras/HOME/.xmonad/unicode.gzbin297505 -> 325355 bytes
10 files changed, 171 insertions, 9 deletions
diff --git a/extras/HOME/.config/rofi/config.rasi b/extras/HOME/.config/rofi/config.rasi
index 1fec00f..fe47aa6 100644
--- a/extras/HOME/.config/rofi/config.rasi
+++ b/extras/HOME/.config/rofi/config.rasi
@@ -4,18 +4,21 @@
theme-color: #8888ff;
selected-normal-background: @theme-color;
normal-foreground: @theme-color;
+ selected-normal-foreground: @main-background;
alternate-normal-foreground: @theme-color;
main-background: #202020f0;
- font: "Monofur Bold Nerd Font 34";
+ font: "Monofur Nerd Font 24";
}
window {
border: 0;
width: 100%;
height: 100%;
- padding: 20%;
+ padding: 5% 20% 5% 20%;
background-color: rgba ( 0, 0, 0, 75 % );
+ anchor:north;
+ location: north;
}
#case-indicator {
@@ -31,6 +34,7 @@ window {
}
inputbar {
+ border-radius: 10px 10px 10px 10px;
children: [ prompt,entry,case-indicator ];
}
@@ -46,9 +50,12 @@ inputbar {
border-color: rgba ( 0, 0, 0, 75 % );
scrollbar: true;
background-color: @main-background;
+ padding: 50px;
+ border-radius: 10px 10px 10px 10px;
}
element {
border: 0;
padding: 10px 10px 20px 10px ;
+ border-radius: 5px 5px 5px 5px;
}
diff --git a/extras/HOME/.local/bin/bluetooth-select.sh b/extras/HOME/.local/bin/bluetooth-select.sh
index 8c901ee..3a25387 100755
--- a/extras/HOME/.local/bin/bluetooth-select.sh
+++ b/extras/HOME/.local/bin/bluetooth-select.sh
@@ -1,8 +1,12 @@
#!/bin/bash
+if [[ -z "$ROFI" ]] ; then
+ ROFI='rofi -dmenu'
+fi
+
devices="$(bluetoothctl -- devices | sed 's#^Device ##')"
selection="$(
- echo -e "$devices\nDisconnect" | rofi -i -p "Connect Bluetooth" \
+ echo -e "$devices\nDisconnect" | $ROFI -i -p "Connect Bluetooth" \
-theme-str '* {theme-color: #8888ff;}' \
-dmenu)"
diff --git a/extras/HOME/.local/bin/emoji-select.sh b/extras/HOME/.local/bin/emoji-select.sh
index 5d244d8..a64a6e9 100755
--- a/extras/HOME/.local/bin/emoji-select.sh
+++ b/extras/HOME/.local/bin/emoji-select.sh
@@ -1,7 +1,11 @@
#!/bin/bash
+if [[ -z "$ROFI" ]] ; then
+ ROFI='rofi -dmenu'
+fi
+
if ( which rofi ) ; then
- menu=(rofi -dmenu -i -p "Select Character" -theme-str '* {theme-color: #ffff88;}' -show run)
+ menu=($ROFI -i -p "Select Character" -theme-str '* {theme-color: #ffff88;}' -show run)
else
menu=(dmenu -fn NotoSans:size=24 -i -nf "#ffff88" -sb "#ffff88" -p "Select Character" -l 12 -dim 0.4)
fi
diff --git a/extras/HOME/.local/bin/emoticon-select.sh b/extras/HOME/.local/bin/emoticon-select.sh
index cb593b4..e1637d1 100755
--- a/extras/HOME/.local/bin/emoticon-select.sh
+++ b/extras/HOME/.local/bin/emoticon-select.sh
@@ -1,7 +1,11 @@
#!/bin/bash
+if [[ -z "$ROFI" ]] ; then
+ ROFI='rofi -dmenu'
+fi
+
if ( which rofi ) ; then
- menu=(rofi -i -theme-str '* {theme-color: #ffa050;}' -p "Select Emoticon" -dmenu)
+ menu=($ROFI -i -theme-str '* {theme-color: #ffa050;}' -p "Select Emoticon")
else
menu=(dmenu -fn NotoSans:size=24 -i -nf "#ffff88" -sb "#ffff88" -p "Select Emoticon" -l 12 -dim 0.4)
fi
diff --git a/extras/HOME/.local/bin/library-view.sh b/extras/HOME/.local/bin/library-view.sh
new file mode 100755
index 0000000..29925a8
--- /dev/null
+++ b/extras/HOME/.local/bin/library-view.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+MENU=(rofi -i -dmenu -sort -theme-str '* {theme-color: #ff88ff;}' -p "Library")
+
+if (which zathura) ; then
+ pdfviewer=zathura
+elif (which evince) ; then
+ pdfviewer=evince
+else
+ pdfviewer='xdg-open'
+fi
+
+
+cd ~/Library
+
+files=(*.pdf)
+
+file_with_title="$(for file in "${files[@]}" ; do
+ echo "$file| $(echo "$file" | sed 's#\(^\|_\|\s\)\([a-z]\)#\1\U\2#g' | tr '_' ' ' | sed 's/.[^.]*$//')"
+done)"
+
+selected=$(echo "$file_with_title" | (while read file ; do
+ echo "${file//*|}"
+done) | "${MENU[@]}")
+
+if [ ! -z "${selected}" ] ; then
+ $pdfviewer "$(echo "$file_with_title" | grep "$selected" | sed 's/|.*//')"
+fi
diff --git a/extras/HOME/.local/bin/rofi-pass b/extras/HOME/.local/bin/rofi-pass
index 6eb58b7..d78870a 100755
--- a/extras/HOME/.local/bin/rofi-pass
+++ b/extras/HOME/.local/bin/rofi-pass
@@ -2,6 +2,10 @@
shopt -s nullglob globstar
+if [[ -z "$ROFI" ]] ; then
+ ROFI='rofi -dmenu'
+fi
+
typeit=0
if [[ $1 == "--type" ]]; then
typeit=1
@@ -12,7 +16,7 @@ if [[ -n $WAYLAND_DISPLAY ]]; then
dmenu=dmenu-wl
xdotool="ydotool type --file -"
elif [[ -n $DISPLAY ]]; then
- dmenu=(rofi -i -dmenu -p 'Password')
+ dmenu=($ROFI -i -p 'Password')
xdotool="xdotool type --clearmodifiers --file -"
else
echo "Error: No Wayland or X11 display detected" >&2
diff --git a/extras/HOME/.local/bin/set-sink.sh b/extras/HOME/.local/bin/set-sink.sh
index 9cd6f93..cca8746 100755
--- a/extras/HOME/.local/bin/set-sink.sh
+++ b/extras/HOME/.local/bin/set-sink.sh
@@ -1,6 +1,10 @@
#!/bin/bash
-DMENU=(rofi -i -theme-str '* {theme-color: #88ff88;}' -dmenu)
+if [[ -z "$ROFI" ]] ; then
+ ROFI='rofi -dmenu'
+fi
+
+DMENU=($ROFI -i -theme-str '* {theme-color: #88ff88;}')
sinks="$(
pactl list sinks | while read line ; do
diff --git a/extras/HOME/.local/bin/set-volume.sh b/extras/HOME/.local/bin/set-volume.sh
new file mode 100755
index 0000000..94423d0
--- /dev/null
+++ b/extras/HOME/.local/bin/set-volume.sh
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+rofi=($ROFI -theme-str "* {theme-color: #88ffff;}")
+
+if [[ "$1" == "-a" ]] ; then
+ sinks="$(pactl list sinks | (while read line ; do
+ case $line in
+ Description:*)
+ descr=${line//*: }
+ ;;
+ Sink\ \#*)
+ if [ ! -z "$sink" ] ; then
+ echo "$state $descr ($volume)|$sink"
+ fi
+ sink=${line//*#} ;;
+ Volume:*)
+ volume=$(sed 's/.* \([0-9]\+%\).*/\1/g' <<< "$line")
+ ;;
+ *State:*)
+ state=${line//*: }
+ if [[ "$state" == 'RUNNING' ]] ; then
+ state='⏺'
+ else
+ state=' '
+ fi ;;
+ esac
+ done
+ echo "$state $descr ($volume)|$sink"))"
+ sinks="$(grep "^⏺" <<< "$sinks" ; grep -v "^⏺" <<< "$sinks")"
+
+ sink_inputs="$(pactl list sink-inputs | (while read line ; do
+ case $line in
+ *application.name\ =*)
+ app="${line//*= \"}"
+ app="${app%%\"}"
+ ;;
+ *media.name\ =*)
+ media="${line//*= \"}"
+ media="${media%%\"}"
+ ;;
+ *Volume:*)
+ volume=$(sed 's/.* \([0-9]\+%\).*/\1/g' <<< "$line")
+ ;;
+ Sink\ Input\ \#*)
+ if [ ! -z "$sink" ] ; then
+ echo "⏺ $app: $media ($volume)|$sink"
+ fi
+ sink=${line//*#} ;;
+ esac
+ done
+ echo "⏺ $app: $media ($volume)|$sink"))"
+
+ selection=$(
+ (echo "$sinks" ; echo '' ; echo "$sink_inputs") | \
+ cut -d'|' -f1 | \
+ "${rofi[@]}" -p "Set Volume For")
+
+ if [[ -z "$selection" ]] ; then
+ echo "Cancelled" >&2
+ exit 0
+ fi
+
+ value=$(grep "$selection" <<< "$sinks")
+ command="set-sink-volume"
+ if [[ -z "$value" ]] ; then
+ command="set-sink-input-volume"
+ value=$(grep "$selection" <<< "$sink_inputs")
+ if [[ -z "$value" ]] ; then
+ echo "Invalid Selection" >&2
+ exit 1
+ fi
+ fi
+ echo "Setting $value"
+ value=${value//*|}
+else
+ command="set-sink-volume"
+ value="@DEFAULT_SINK@"
+fi
+
+volume=$(echo '10%
+ 20%
+ 30%
+ 40%
+ 50%
+ 60%
+ 70%
+ 80%
+ 90%
+ 100%
+ 110%
+ 120%
+ 130%' | "${rofi[@]}" -p 'Set Volume To')
+
+echo pactl "$command" "$value" "$volume"
+pactl "$command" "$value" $volume
diff --git a/extras/HOME/.xmonad/emoticons.txt b/extras/HOME/.xmonad/emoticons.txt
index 40b83c5..65289c4 100644
--- a/extras/HOME/.xmonad/emoticons.txt
+++ b/extras/HOME/.xmonad/emoticons.txt
@@ -1,5 +1,8 @@
+Bear - (''')(0.0)(''')
+Cry - ಥ_ಥ
Deal with it - (•_•) ( •_•)>⌐■-■ (⌐■_■)
Deal with it. - (▀̿Ĺ̯▀̿ ̿)
+Disapprove - ಠ_ಠ
Do It Right - (☞゚ヮ゚)☞
Do it Left - ☜(゚ヮ゚☜)
Happy Gary - ᕕ( ᐛ )ᕗ
@@ -8,9 +11,18 @@ IDFK - ¯\(°_o)/¯
Lenny - ( ͡° ͜ʖ ͡°)
Mad Lenny - ( ͡° ʖ̯ ͡°)
Person Flip - (╯°□°)╯︵ (\ .o.)\
+Person Flip - (ノಠ益ಠ) ノ彡 (\ .o.)\
+Personback - (/ °o°)/ノ(ಠ_ಠノ)
+Raise Dongers - ヽ༼ຈل͜ຈ༽ノ
Shrug - ¯\_(ツ)_/¯
Smiley - :-)
+Surprised - (⚆_⚆)
Tableback - ┬─┬ノ(ಠ_ಠノ)
-Tableflip - (╯°□°)╯︵ ┻━┻
-Unamused - ಠ_ಠ
+Tableflip - (╯°□°)╯︵ ┻━┻
+Tableflip - (ノಠ益ಠ) ノ彡 ┻━┻
+Tableflip Shrug - ┻━┻ ︵ ¯\_(ᴼل͜ᴼ)_/¯ ︵ ┻━┻
+Table Flipped Me - ┬─┬ ︵ /(.□. \)
+Tears of Joy - ಥ‿ಥ
+Unamused - ( ͡ಠ ʖ̯ ͡ಠ)
Y u no - ლ(ಠ益ಠ)ლ
+LOL F U - ( ° ͜ʖ͡°)╭∩╮
diff --git a/extras/HOME/.xmonad/unicode.gz b/extras/HOME/.xmonad/unicode.gz
index 5dd0826..fa47bf1 100644
--- a/extras/HOME/.xmonad/unicode.gz
+++ b/extras/HOME/.xmonad/unicode.gz
Binary files differ